%define sourcedir stable/%{version}/distribution/tar/generic/source
%define VER 2.0.1
%define DATE 20010228
%define is_release 1
%define is_preview 0

Name: koffice
URL: http://www.kde.org
Summary: Set of office applications for KDE
%if %{is_release}
Version: %{VER}
Source: ftp://ftp.kde.org/pub/kde/{sourcedir}/%{name}-%{VER}.tar.bz2
Source1: koffice-addons-%{DATE}.tar.bz2
%else
Version: %{VER}.%{DATE}
Source: ftp://ftp.kde.org/pub/kde/{sourcedir}/%{name}-%{DATE}.tar.bz2
%endif
Release: 2a
Group: User Interface/Desktops
Obsoletes: killustrator kivio
Copyright: GPL
BuildRoot: %{_tmppath}/%{name}-buildroot
Prefix: /usr
%if %{is_preview}
Requires: kdesupport2
Prereq: kdelibs2
%else
Requires: kdesupport
Prereq: kdelibs
%endif
Epoch: 2
ExcludeArch: sparc
Requires(post,postun): /sbin/ldconfig
Patch: koffice-2.0.1-glibc222.patch
Patch1: koffice-2.0.1-s390x.patch

%description
Office applications for the K Desktop Environment 2.0.
KOffice contains KWord (word processor), KSpread (spreadsheet), KPresenter
(Presentations) and KChart (diagram generator).

%prep
rm -rf $RPM_BUILD_ROOT
%if %{is_release}
%setup -q
%else
%setup -q -n %{name}
%endif
#rm -rf killustrator
#bzip2 -dc %{SOURCE1} | tar xf -
%patch -p1 -b .fix
%patch1 -p1 -b .s390x

[ -e Makefile.cvs ] && make -f Makefile.cvs


%build
unset QTDIR || : ; . /etc/profile.d/qt.sh
export KDEDIR=%{prefix}
if [ -x /usr/bin/getconf ]; then
  CPUS=`getconf _NPROCESSORS_ONLN`
fi
if test "x$CPUS" = "x" -o "x$CPUS" = "x0"; then
  CPUS=1
fi
%ifarch sparc sparcv9 sparc64 ia64
CFLAGS="-D_GNU_SOURCE -O0" CXXFLAGS="-D_GNU_SOURCE -O0 -DNO_DEBUG -DNDEBUG" \
%else
CFLAGS="-D_GNU_SOURCE $RPM_OPT_FLAGS" CXXFLAGS="-D_GNU_SOURCE $RPM_OPT_FLAGS -DNO_DEBUG -DNDEBUG -fno-check-new" \
%endif
	./configure  \
	--prefix=%{prefix} \
	--disable-final

make -j $CPUS

%install
make RUN_KAPPFINDER=no DESTDIR=$RPM_BUILD_ROOT install-strip
rm -f $RPM_BUILD_ROOT/usr/share/icons/locolor/16x16/actions/bottom.png
rm -f $RPM_BUILD_ROOT/usr/share/icons/locolor/16x16/actions/rotate.png
rm -f $RPM_BUILD_ROOT/usr/share/icons/locolor/16x16/actions/top.png
rm -f $RPM_BUILD_ROOT/usr/share/icons/locolor/16x16/actions/wizard.png

{
	pushd $RPM_BUILD_ROOT
	find . -type d | sed '1,2d;s,^\.,\%attr(-\,root\,root) \%dir ,' > \
		$RPM_BUILD_DIR/file.list.%{name}

	find . -type f | sed -e 's,^\.,\%attr(-\,root\,root) ,' \
		-e '/\/config\//s|^|%config|' >> \
		$RPM_BUILD_DIR/file.list.%{name}

	find . -type l | sed 's,^\.,\%attr(-\,root\,root) ,' >> \
		$RPM_BUILD_DIR/file.list.%{name}
	popd
}

# Replace absolute symlinks with relative ones
for i in koshell krayon kword kspread killustrator kpresenter koffice; do
	rm -f $RPM_BUILD_ROOT%{prefix}/share/doc/HTML/en/$i/common
	ln -s ../common $RPM_BUILD_ROOT%{prefix}/share/doc/HTML/en/$i
done

%clean
rm -rf $RPM_BUILD_ROOT $RPM_BUILD_DIR/file.list.%{name}

%files -f ../file.list.%{name} 

%post
/sbin/ldconfig
kbuildsycoca &>/dev/null || :

%postun -p /sbin/ldconfig

%changelog
* Wed Mar 28 2001 Than Ngo <than@redhat.com>
- fix broken specfile

* Wed Feb 28 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Revert to 2.0.1, this fixes the kword problems.

* Tue Feb 20 2001 Than Ngo <than@redhat.com>
- update 2.1
- fix dangling symlinks

* Fri Feb  2 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Add ldconfig in %%post and %%postun, replace absolute symlinks
  with relative symlinks (#24878)

* Mon Jan 22 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Update

* Thu Jan 11 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Update
- Don't build on sparc and ia64 (Bug #23809)

* Sun Dec  3 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.0.1

* Fri Nov  3 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Update to KDE_2_0_BRANCH

* Mon Oct 16 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.0 final

* Tue Oct  3 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.0

* Mon Oct  2 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new CVS
- fix compilation

* Thu Aug 24 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- kill dupes from kdelibs

* Thu Aug 24 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 1.93

* Sun Aug  6 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- update (fixed compilation with gcc 2.96 in CVS)
- work around compiler bugs on alpha

* Fri Aug  4 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new snapshot
- move to /usr/lib/kde2

* Thu Jul 27 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- rebuild

* Tue Jul 25 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new snapshot

* Sun Jul 23 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new snapshot, new Qt

* Thu Jul 13 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Don't hardcode Qt version
- obsolete killustrator (powertools 6.x)
- SMPify

* Tue Jul 11 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- use gcc 2.96
- new snapshot

* Mon Jul  3 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- use kernelcc
- new snapshot

* Tue Jun 20 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new snapshot
- ExcludeArch ia64

* Sat Mar 18 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new snapshot
- move it to /usr, where it belongs

* Sat Oct 23 1999 Bernhard Rosenkraenzer <bero@redhat.de>
- Initial RPM
